Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.typedef
Interface TypedefPackage.Literals

Enclosing interface:
  TypedefPackage

    public static interface TypedefPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `CSI_DATATYPE` The meta object literal for the '`CSI Datatype`' class
`static org.eclipse.emf.ecore.EAttribute` | `CSI_DATATYPE__CODE` The meta object literal for the 'Code' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `CSI_DATATYPE__NILLABLE` The meta object literal for the 'Nillable' attribute feature
`static org.eclipse.emf.ecore.EEnum` | `CSI_DATATYPE_CODES` The meta object literal for the '`CSI Datatype Codes`' enum
`static org.eclipse.emf.ecore.EEnum` | `CSI_EXCEPTION_TYPES` The meta object literal for the '`CSI Exception Types`' enum
`static org.eclipse.emf.ecore.EClass` | `DOCUMENT_ROOT` The meta object literal for the '`Document Root`' class
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__TYPES` The meta object literal for the 'Types' containment reference list feature
`static org.eclipse.emf.ecore.EClass` | `ENTITY` The meta object literal for the '`Entity`' class
`static org.eclipse.emf.ecore.EReference` | `ENTITY__FEATURES` The meta object literal for the 'Features' containment reference list feature
`static org.eclipse.emf.ecore.EAttribute` | `ENTITY__VERSIONUID` The meta object literal for the 'Versionuid' attribute feature
`static org.eclipse.emf.ecore.EClass` | `EXCEPTION` The meta object literal for the '`Exception`' class
`static org.eclipse.emf.ecore.EAttribute` | `EXCEPTION__EXCEPTION_TYPE` The meta object literal for the 'Exception Type' attribute feature
`static org.eclipse.emf.ecore.EClass` | `FEATURE` The meta object literal for the '`Feature`' class
`static org.eclipse.emf.ecore.EAttribute` | `FEATURE__NAME` The meta object literal for the 'Name' attribute feature
`static org.eclipse.emf.ecore.EReference` | `FEATURE__TYPE` The meta object literal for the 'Type' reference feature
`static org.eclipse.emf.ecore.EClass` | `PRIMITIVE_TYPE` The meta object literal for the '`Primitive Type`' class
`static org.eclipse.emf.ecore.EReference` | `PRIMITIVE_TYPE__LANGUAGE_BINDINGS` The meta object literal for the 'Language Bindings' containment reference list feature
`static org.eclipse.emf.ecore.EAttribute` | `PRIMITIVE_TYPE__NILLABLE` The meta object literal for the 'Nillable' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `PRIMITIVE_TYPE__TYPESET_NAME` The meta object literal for the 'Typeset Name' attribute feature
`static org.eclipse.emf.ecore.EClass` | `TD_ANNOTATION_DETAIL` The meta object literal for the '`TD Annotation Detail`' class
`static org.eclipse.emf.ecore.EAttribute` | `TD_ANNOTATION_DETAIL__KEY` The meta object literal for the 'Key' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `TD_ANNOTATION_DETAIL__VALUE` The meta object literal for the 'Value' attribute feature
`static org.eclipse.emf.ecore.EClass` | `TYPE` The meta object literal for the '`Type`' class
`static org.eclipse.emf.ecore.EReference` | `TYPE__ANNOTATIONS` The meta object literal for the 'Annotations' containment reference list feature
`static org.eclipse.emf.ecore.EAttribute` | `TYPE__NAME` The meta object literal for the 'Name' attribute feature
`static org.eclipse.emf.ecore.EClass` | `TYPE_ANNOTATION` The meta object literal for the '`Type Annotation`' class
`static org.eclipse.emf.ecore.EReference` | `TYPE_ANNOTATION__DETAILS` The meta object literal for the 'Details' containment reference list feature
`static org.eclipse.emf.ecore.EAttribute` | `TYPE_ANNOTATION__SOURCE` The meta object literal for the 'Source' attribute feature
`static org.eclipse.emf.ecore.EClass` | `TYPE_LANGUAGE_BINDING` The meta object literal for the '`Type Language Binding`' class
`static org.eclipse.emf.ecore.EAttribute` | `TYPE_LANGUAGE_BINDING__DEFAULT_INIT_VALUE` The meta object literal for the 'Default Init Value' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `TYPE_LANGUAGE_BINDING__LANG` The meta object literal for the 'Lang' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `TYPE_LANGUAGE_BINDING__LANG_SPECIFIC_NS` The meta object literal for the 'Lang Specific NS' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `TYPE_LANGUAGE_BINDING__LANG_SPECIFIC_TYPE` The meta object literal for the 'Lang Specific Type' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `TYPE_LANGUAGE_BINDING__NULL_VALUE_LITERAL` The meta object literal for the 'Null Value Literal' attribute feature
`static org.eclipse.emf.ecore.EClass` | `TYPED_ARRAY` The meta object literal for the '`Typed Array`' class
`static org.eclipse.emf.ecore.EReference` | `TYPED_ARRAY__COMPONENT_TYPE` The meta object literal for the 'Component Type' reference feature

Field Detail

### DOCUMENT_ROOT

    static final org.eclipse.emf.ecore.EClass DOCUMENT_ROOT

  The meta object literal for the '`Document Root`' class.

  See Also:
    `DocumentRootImpl`, `TypedefPackageImpl.getDocumentRoot()`

### DOCUMENT_ROOT__TYPES

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__TYPES

  The meta object literal for the 'Types' containment reference list feature.

### TYPE

    static final org.eclipse.emf.ecore.EClass TYPE

  The meta object literal for the '`Type`' class.

  See Also:
    `TypeImpl`, `TypedefPackageImpl.getType()`

### TYPE__NAME

    static final org.eclipse.emf.ecore.EAttribute TYPE__NAME

  The meta object literal for the 'Name' attribute feature.

### TYPE__ANNOTATIONS

    static final org.eclipse.emf.ecore.EReference TYPE__ANNOTATIONS

  The meta object literal for the 'Annotations' containment reference list feature.

### CSI_DATATYPE

    static final org.eclipse.emf.ecore.EClass CSI_DATATYPE

  The meta object literal for the '`CSI Datatype`' class.

  See Also:
    `CSIDatatypeImpl`, `TypedefPackageImpl.getCSIDatatype()`

### CSI_DATATYPE__CODE

    static final org.eclipse.emf.ecore.EAttribute CSI_DATATYPE__CODE

  The meta object literal for the 'Code' attribute feature.

### CSI_DATATYPE__NILLABLE

    static final org.eclipse.emf.ecore.EAttribute CSI_DATATYPE__NILLABLE

  The meta object literal for the 'Nillable' attribute feature.

### ENTITY

    static final org.eclipse.emf.ecore.EClass ENTITY

  The meta object literal for the '`Entity`' class.

  See Also:
    `EntityImpl`, `TypedefPackageImpl.getEntity()`

### ENTITY__FEATURES

    static final org.eclipse.emf.ecore.EReference ENTITY__FEATURES

  The meta object literal for the 'Features' containment reference list feature.

### ENTITY__VERSIONUID

    static final org.eclipse.emf.ecore.EAttribute ENTITY__VERSIONUID

  The meta object literal for the 'Versionuid' attribute feature.

### FEATURE

    static final org.eclipse.emf.ecore.EClass FEATURE

  The meta object literal for the '`Feature`' class.

  See Also:
    `FeatureImpl`, `TypedefPackageImpl.getFeature()`

### FEATURE__NAME

    static final org.eclipse.emf.ecore.EAttribute FEATURE__NAME

  The meta object literal for the 'Name' attribute feature.

### FEATURE__TYPE

    static final org.eclipse.emf.ecore.EReference FEATURE__TYPE

  The meta object literal for the 'Type' reference feature.

### TYPED_ARRAY

    static final org.eclipse.emf.ecore.EClass TYPED_ARRAY

  The meta object literal for the '`Typed Array`' class.

  See Also:
    `TypedArrayImpl`, `TypedefPackageImpl.getTypedArray()`

### TYPED_ARRAY__COMPONENT_TYPE

    static final org.eclipse.emf.ecore.EReference TYPED_ARRAY__COMPONENT_TYPE

  The meta object literal for the 'Component Type' reference feature.

### EXCEPTION

    static final org.eclipse.emf.ecore.EClass EXCEPTION

  The meta object literal for the '`Exception`' class.

  See Also:
    `ExceptionImpl`, `TypedefPackageImpl.getException()`

### EXCEPTION__EXCEPTION_TYPE

    static final org.eclipse.emf.ecore.EAttribute EXCEPTION__EXCEPTION_TYPE

  The meta object literal for the 'Exception Type' attribute feature.

### TYPE_ANNOTATION

    static final org.eclipse.emf.ecore.EClass TYPE_ANNOTATION

  The meta object literal for the '`Type Annotation`' class.

  See Also:
    `TypeAnnotationImpl`, `TypedefPackageImpl.getTypeAnnotation()`

### TYPE_ANNOTATION__SOURCE

    static final org.eclipse.emf.ecore.EAttribute TYPE_ANNOTATION__SOURCE

  The meta object literal for the 'Source' attribute feature.

### TYPE_ANNOTATION__DETAILS

    static final org.eclipse.emf.ecore.EReference TYPE_ANNOTATION__DETAILS

  The meta object literal for the 'Details' containment reference list feature.

### TD_ANNOTATION_DETAIL

    static final org.eclipse.emf.ecore.EClass TD_ANNOTATION_DETAIL

  The meta object literal for the '`TD Annotation Detail`' class.

  See Also:
    `TDAnnotationDetailImpl`, `TypedefPackageImpl.getTDAnnotationDetail()`

### TD_ANNOTATION_DETAIL__KEY

    static final org.eclipse.emf.ecore.EAttribute TD_ANNOTATION_DETAIL__KEY

  The meta object literal for the 'Key' attribute feature.

### TD_ANNOTATION_DETAIL__VALUE

    static final org.eclipse.emf.ecore.EAttribute TD_ANNOTATION_DETAIL__VALUE

  The meta object literal for the 'Value' attribute feature.

### PRIMITIVE_TYPE

    static final org.eclipse.emf.ecore.EClass PRIMITIVE_TYPE

  The meta object literal for the '`Primitive Type`' class.

  See Also:
    `PrimitiveTypeImpl`, `TypedefPackageImpl.getPrimitiveType()`

### PRIMITIVE_TYPE__TYPESET_NAME

    static final org.eclipse.emf.ecore.EAttribute PRIMITIVE_TYPE__TYPESET_NAME

  The meta object literal for the 'Typeset Name' attribute feature.

### PRIMITIVE_TYPE__NILLABLE

    static final org.eclipse.emf.ecore.EAttribute PRIMITIVE_TYPE__NILLABLE

  The meta object literal for the 'Nillable' attribute feature.

### PRIMITIVE_TYPE__LANGUAGE_BINDINGS

    static final org.eclipse.emf.ecore.EReference PRIMITIVE_TYPE__LANGUAGE_BINDINGS

  The meta object literal for the 'Language Bindings' containment reference list feature.

### TYPE_LANGUAGE_BINDING

    static final org.eclipse.emf.ecore.EClass TYPE_LANGUAGE_BINDING

  The meta object literal for the '`Type Language Binding`' class.

  See Also:
    `TypeLanguageBindingImpl`, `TypedefPackageImpl.getTypeLanguageBinding()`

### TYPE_LANGUAGE_BINDING__LANG

    static final org.eclipse.emf.ecore.EAttribute TYPE_LANGUAGE_BINDING__LANG

  The meta object literal for the 'Lang' attribute feature.

### TYPE_LANGUAGE_BINDING__LANG_SPECIFIC_TYPE

    static final org.eclipse.emf.ecore.EAttribute TYPE_LANGUAGE_BINDING__LANG_SPECIFIC_TYPE

  The meta object literal for the 'Lang Specific Type' attribute feature.

### TYPE_LANGUAGE_BINDING__LANG_SPECIFIC_NS

    static final org.eclipse.emf.ecore.EAttribute TYPE_LANGUAGE_BINDING__LANG_SPECIFIC_NS

  The meta object literal for the 'Lang Specific NS' attribute feature.

### TYPE_LANGUAGE_BINDING__DEFAULT_INIT_VALUE

    static final org.eclipse.emf.ecore.EAttribute TYPE_LANGUAGE_BINDING__DEFAULT_INIT_VALUE

  The meta object literal for the 'Default Init Value' attribute feature.

### TYPE_LANGUAGE_BINDING__NULL_VALUE_LITERAL

    static final org.eclipse.emf.ecore.EAttribute TYPE_LANGUAGE_BINDING__NULL_VALUE_LITERAL

  The meta object literal for the 'Null Value Literal' attribute feature.

### CSI_DATATYPE_CODES

    static final org.eclipse.emf.ecore.EEnum CSI_DATATYPE_CODES

  The meta object literal for the '`CSI Datatype Codes`' enum.

  See Also:
    `CSIDatatypeCodes`, `TypedefPackageImpl.getCSIDatatypeCodes()`

### CSI_EXCEPTION_TYPES

    static final org.eclipse.emf.ecore.EEnum CSI_EXCEPTION_TYPES

  The meta object literal for the '`CSI Exception Types`' enum.

  See Also:
    `CSIExceptionTypes`, `TypedefPackageImpl.getCSIExceptionTypes()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD